loci.formats.in

## Class IM3Reader.BooleanIM3Record

- java.lang.Object
- - loci.formats.in.IM3Reader.IM3Record
  - - loci.formats.in.IM3Reader.BooleanIM3Record

- Enclosing class:
    IM3Reader

      protected static class IM3Reader.BooleanIM3Record
      extends IM3Reader.IM3Record

  A record containing boolean values
  Author:
    Lee Kamentsky

- - ### Field Summary

    - ### Fields inherited from class loci.formats.in.IM3Reader.IM3Record

      `length, name, offset, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanIM3Record(java.lang.String name, int recType, long offset, int recLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getEntry(loci.common.IRandomAccess is, int index)` Get the boolean value at the given index
    `int` | `getNumEntries(loci.common.IRandomAccess is)` Get the # of boolean values in this record

    - ### Methods inherited from class loci.formats.in.IM3Reader.IM3Record

      `toString, writeSummary`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanIM3Record

          public BooleanIM3Record(java.lang.String name,
                                  int recType,
                                  long offset,
                                  int recLength)

  - ### Method Detail

    - #### getNumEntries

          public int getNumEntries(loci.common.IRandomAccess is)
                            throws java.io.IOException

      Get the # of boolean values in this record
      Returns:
        number of boolean values contained in the record
      Throws:
        `java.io.IOException`

    - #### getEntry

          public boolean getEntry(loci.common.IRandomAccess is,
                                  int index)
                           throws java.io.IOException

      Get the boolean value at the given index
      Parameters:
        `is` - the stream for the IM3 file
        `index` - the zero-based index of the entry to retrieve
      Returns:
        the value stored in the indexed slot of the record
      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment